<script setup lang="ts">
import {computed} from "vue";
import Mono from "@/Components/FlightsGoneBy/Mono.vue";

const props = defineProps<{
    value: number
}>()

const signedValue = computed(() => {
    return props.value >= 0 ? `+${props.value}` : `${props.value}`
})
</script>

<template>
    <sup v-if="value != 0" class="day-diff">
        <Mono>{{signedValue}}</Mono>
    </sup>
</template>

<style scoped>
.day-diff {
    font-size: 0.65rem;
    color: #ffc107;
    margin-left: 0.15rem;
}
</style>
